﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Globalization;
using System.Threading;

namespace WinGridCommaSeparate
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Decimal Column",typeof(decimal));
            dt.Rows.Add(10000000.2);
            dt.Rows.Add(10000.2);

            label1.Text +=" is '"+ CultureInfo.CurrentCulture.NumberFormat.CurrencyDecimalSeparator+"'";
            label2.Text += " is '" + CultureInfo.CurrentCulture.NumberFormat.CurrencyGroupSeparator + "'";
            
            //create a culture like the current
            CultureInfo cinf = new CultureInfo(CultureInfo.CurrentCulture.Name);
            //set comma and thousend separator to new culture
            cinf.NumberFormat.CurrencyDecimalSeparator = ".";
            cinf.NumberFormat.CurrencyGroupSeparator = ",";

            Thread.CurrentThread.CurrentCulture = cinf;

            ultraGrid1.DataSource = dt;
            ultraGrid1.DisplayLayout.Bands[0].Columns[0].Format = "###,###,###,###.00";
        }
    }
}
